Name: plt1
Version: 103p1
Release: alt1.1
%define fullname %name
Copyright: LGPL
Group: Development/Other
Url: http://www.cs.rice.edu/CS/PLT/packages/mzscheme/

Source: plt-%{version}.src.x.tar.gz
Patch: plt103p1-gcc-3.2.patch

Packager: Ott Alex <ott@altlinux.ru>

Summary: PLT MzScheme & DrScheme
Summary(ru_RU.CP1251): PLT MzScheme & DrScheme

# Automatically added by buildreq on Thu Sep 19 2002
BuildRequires: XFree86-devel gcc-c++ libstdc++-devel xpm

%description
DrScheme, a pedagogical programming environment, builded on top of 
MzScheme -- R5RS-compilant version of Scheme language.

%description -l ru_RU.CP1251
DrScheme   ,   
MzScheme --   Scheme,  R5RS.

%prep
%setup -n plt
%patch -p1

%build
cd src 
export CFLAGS="%optflags -DUSE_LOCALE"
export CXXFLAGS="%optflags -DUSE_LOCALE"
./configure --prefix=%_prefix
make USE_LOCALE=1
make install

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%fullname
cp -Rf install collects bin .bin teachpack notes $RPM_BUILD_ROOT%{_libdir}/%fullname
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
for i in man/man1/* ; do
    install -m 644 $i $RPM_BUILD_ROOT%_mandir/man1/`basename $i .1`-1.1
done

%post
PLTHOME="" export PLTHOME
PLTCOLLECTS="" export PLTCOLLECTS
RPM_INSTALL_PREFIX="" export RPM_INSTALL_PREFIX
cd %{_libdir}/%fullname
echo y | ./install

echo "test!"

for i in drscheme help-desk mred mzc mzscheme ; do 
    ln -sf %{_libdir}/%fullname/bin/$i %{_bindir}/${i}-1
done

update-alternatives \
        --install %{_bindir}/mzscheme mzscheme %{_bindir}/mzscheme-1 20 \
        --slave %{_bindir}/drscheme drscheme %{_bindir}/drscheme-1 \
        --slave %{_bindir}/help-desk help-desk %{_bindir}/help-desk-1 \
        --slave %{_bindir}/mred mred %{_bindir}/mred-1 \
        --slave %{_bindir}/mzc mzc %{_bindir}/mzc-1 \
        --slave %{_mandir}/man1/mzred.1.gz mred.1.gz %{_mandir}/man1/mred-1.1.gz \
        --slave %{_mandir}/man1/mzscheme.1.gz mzscheme.1.gz %{_mandir}/man1/mzscheme-1.1.gz \
        --slave %{_mandir}/man1/drscheme.1.gz drscheme.1.gz %{_mandir}/man1/drscheme-1.1.gz

%preun
[ $1 = 0 ] || exit 0
update-alternatives --remove mzscheme %{_bindir}/mzscheme-1

for i in drscheme help-desk mred mzc mzscheme ; do 
    rm -f %{_bindir}/$i-1
done

%postun
rm -rf %{_libdir}/%fullname


%files
%defattr(-, root, root)
%{_libdir}/%fullname/.bin/*
%{_libdir}/%fullname/*
%_mandir/man1/*.1*

%changelog
* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 103p1-alt1.1
- rebuild with new XFree86

* Thu Aug 29 2002 Ott Alex <ott@altlinux.ru> 103p1-alt1
- Initial build

